Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.asn1
Class CMCEPrivateKey

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.pqc.asn1.CMCEPrivateKey

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CMCEPrivateKey
extends ASN1Object

ASN.1 Encoding for a Classic McEliece private key for fully populated: McEliecePrivateKey ::= SEQUENCE { Version INTEGER {v0(0)} -- version (round 3) delta OCTET STRING, -- nonce C OCTET STRING, -- column selections g OCTET STRING, -- monic irreducible polynomial alpha OCTET STRING, -- field orderings s OCTET STRING, -- random n-bit string PublicKey [0] IMPLICIT McEliecePublicKey OPTIONAL -- see next section }

Constructor Summary
`CMCEPrivateKey(int version, byte[] delta, byte[] c, byte[] g, byte[] alpha, byte[] s)`
`CMCEPrivateKey(int version, byte[] delta, byte[] c, byte[] g, byte[] alpha, byte[] s, CMCEPublicKey pubKey)`

Method Summary
`byte[]` | `getAlpha()`
`byte[]` | `getC()`
`byte[]` | `getDelta()`
`byte[]` | `getG()`
`static CMCEPrivateKey` | `getInstance(java.lang.Object o)`
`CMCEPublicKey` | `getPublicKey()`
`byte[]` | `getS()`
`int` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMCEPrivateKey

    public CMCEPrivateKey(int version,
                          byte[] delta,
                          byte[] c,
                          byte[] g,
                          byte[] alpha,
                          byte[] s)

### CMCEPrivateKey

    public CMCEPrivateKey(int version,
                          byte[] delta,
                          byte[] c,
                          byte[] g,
                          byte[] alpha,
                          byte[] s,
                          CMCEPublicKey pubKey)

Method Detail

### getVersion

    public int getVersion()

### getDelta

    public byte[] getDelta()

### getC

    public byte[] getC()

### getG

    public byte[] getG()

### getAlpha

    public byte[] getAlpha()

### getS

    public byte[] getS()

### getPublicKey

    public CMCEPublicKey getPublicKey()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### getInstance

    public static CMCEPrivateKey getInstance(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD